Package org.jfree.layouting.renderer.page

## Class RenderPageContext

- java.lang.Object
- - org.jfree.layouting.renderer.page.RenderPageContext

- All Implemented Interfaces:
    `StatefullComponent`

      public class RenderPageContext
      extends java.lang.Object
      implements StatefullComponent

  This is a running page context, which contains a list of watched strings and counters. Whenever one of these counters or strings change, a new page context is generated. This page context also contains the special 'page' counter. That counter is maintained by the system, initialized with '1' and is increased by the number of physical pages at every physical split.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RenderPageContext​()` |
    `` | `RenderPageContext​(LayoutProcess layoutProcess, PageContext pageContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `PageGrid` | `createPageGrid​(OutputProcessorMetaData outputMetaData)` |
    `java.lang.Integer` | `getCounter​(java.lang.String name, CSSValue pagePolicy)` |
    `PageContext` | `getPageContext​()` |
    `java.lang.String` | `getString​(java.lang.String name, CSSValue pagePolicy)` |
    `State` | `saveState​()` |
    `RenderPageContext` | `update​(LayoutContext layoutContext)` | This method should check the layout context for updated counters and strings.
    `RenderPageContext` | `update​(PageContext pageContext, OutputProcessor outputProcessor)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderPageContext

          public RenderPageContext​(LayoutProcess layoutProcess,
                                   PageContext pageContext)

    - #### RenderPageContext

          protected RenderPageContext​()

  - ### Method Detail

    - #### getPageContext

          public PageContext getPageContext​()

    - #### update

          public RenderPageContext update​(PageContext pageContext,
                                          OutputProcessor outputProcessor)

    - #### update

          public RenderPageContext update​(LayoutContext layoutContext)

      This method should check the layout context for updated counters and strings.
      Parameters:
        `layoutContext` -
      Returns:

    - #### createPageGrid

          public PageGrid createPageGrid​(OutputProcessorMetaData outputMetaData)

    - #### getString

          public java.lang.String getString​(java.lang.String name,
                                            CSSValue pagePolicy)

    - #### getCounter

          public java.lang.Integer getCounter​(java.lang.String name,
                                              CSSValue pagePolicy)

    - #### clone

          public java.lang.Object clone​()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### saveState

          public State saveState​()
                          throws StateException

      Specified by:
        `saveState` in interface `StatefullComponent`
      Throws:
        `StateException`